tigase.kernel.core

## Class DependencyManager

- java.lang.Object
- - tigase.kernel.core.DependencyManager

-     public class DependencyManager
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DependencyManager()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BeanConfig` | `createBeanConfig(Kernel kernel, String beanName, Class<?> beanClass)`
    `static Field[]` | `getAllFields(Class<?> klass)`
    `BeanConfig[]` | `getBeanConfig(Dependency dependency)`
    `BeanConfig` | `getBeanConfig(String beanName)`
    `Collection<BeanConfig>` | `getBeanConfigs()`
    `List<BeanConfig>` | `getBeanConfigs(Class<?> type, Type genericType, Class<?> ownerClass)`
    `List<BeanConfig>` | `getBeanConfigs(Class<?> type, Type genericType, Class<?> ownerClass, boolean allowNonExportable)`
    `Collection<Dependency>` | `getDependenciesTo(BeanConfig destination)`
    `HashSet<BeanConfig>` | `getDependentBeans(BeanConfig beanConfig)`
    `boolean` | `isBeanClassRegistered(String beanName)`
    `boolean` | `isThrowExceptionIfCannotCreate()`
    `static boolean` | `match(Dependency dependency, BeanConfig beanConfig)`
    `protected void` | `prepareDependencies(BeanConfig beanConfig)`
    `void` | `setThrowExceptionIfCannotCreate(boolean throwExceptionIfCannotCreate)`
    `BeanConfig` | `unregister(String beanName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected final Logger log

  - ### Constructor Detail

    - #### DependencyManager

          public DependencyManager()

  - ### Method Detail

    - #### getAllFields

          public static Field[] getAllFields(Class<?> klass)

    - #### match

          public static boolean match(Dependency dependency,
                                      BeanConfig beanConfig)

    - #### getBeanConfig

          public BeanConfig[] getBeanConfig(Dependency dependency)

    - #### getBeanConfig

          public BeanConfig getBeanConfig(String beanName)

    - #### getBeanConfigs

          public Collection<BeanConfig> getBeanConfigs()

    - #### getBeanConfigs

          public List<BeanConfig> getBeanConfigs(Class<?> type,
                                                 Type genericType,
                                                 Class<?> ownerClass)

    - #### getBeanConfigs

          public List<BeanConfig> getBeanConfigs(Class<?> type,
                                                 Type genericType,
                                                 Class<?> ownerClass,
                                                 boolean allowNonExportable)

    - #### getDependenciesTo

          public Collection<Dependency> getDependenciesTo(BeanConfig destination)

    - #### getDependentBeans

          public HashSet<BeanConfig> getDependentBeans(BeanConfig beanConfig)

    - #### isBeanClassRegistered

          public boolean isBeanClassRegistered(String beanName)

    - #### isThrowExceptionIfCannotCreate

          public boolean isThrowExceptionIfCannotCreate()

    - #### setThrowExceptionIfCannotCreate

          public void setThrowExceptionIfCannotCreate(boolean throwExceptionIfCannotCreate)

    - #### unregister

          public BeanConfig unregister(String beanName)

    - #### createBeanConfig

          protected BeanConfig createBeanConfig(Kernel kernel,
                                                String beanName,
                                                Class<?> beanClass)

    - #### prepareDependencies

          protected void prepareDependencies(BeanConfig beanConfig)

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.